#!/bin/bash

ex=test_locks

echo "---> build with TICKET";
make clean &> /dev/null;
make ${ex} LOCK=TICKET >> /dev/null;
mv ${ex} ${ex}_TICKET

locks="TAS TTAS";
atomics="USE_CAS USE_FAI USE_SWAP USE_FAI_CAS USE_SWAP_CAS";

for l in $locks;
do
    echo "---> build with $l";
    for ao in $atomics;
    do
	echo "------> and $ao";
	make ${ex} LOCK=${l} AO=${ao} >> /dev/null;
	mv ${ex} ${ex}_${l}_${ao};
    done;
done;
